Bug 1013911 - Nautilus should show practical free disk space for btrfs, not much higher df numbers
Nautilus should show practical free disk space for btrfs, not much higher df ...
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-09-30 23:35 EDT by Jonas Thiem
Modified: 2015-02-17 12:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 12:26:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonas Thiem 2013-09-30 23:35:00 EDT
Description of problem:
Nautilus should show actual free disk space for btrfs using the most pessimistic estimate, as seen in the "size X used Y" line of "btrfs filesystem show --all-devices", and not the output from either "btrfs fi df /mnt/" since that is a more optimistic estimate (can be slightly non-zero when disk is full), or the broken "df / -h" output which is totally optimistic and shows a lot of free space even when there is absolutely none left.

When I'm talking of disk is full, I'm thinking of actual no space left on device messages. The output of "btrfs filesystem show --all-devices" is the only one which actually indicates 0GB free space in that case, at least it was that way for me.

This is especially important since btrfs still likes to break horribly when filled to the last byte, so people should be properly informed of the actual, practical free disk space in nautilus. (so what actually remains for use right now, not what could be in use in theory if metadata wasn't using up disk space as well or if the filesystem were better balanced than it currently is)

Version-Release number of selected component (if applicable):
nautilus 3.8.2

How reproducible:

Steps to Reproduce:
1. Use btrfs on some partition
2. Open nautilus and go to filesystem root
3. Open folder properties and compare free space output to the one you can calculate from the btrfs filesystem show --all-devices (the latter should be a lot less)

Actual results:
Nautilus has shown 10GB free for me when I hit a full disk.

Expected results:
Nautilus shows 0GB free when programs start spamming no space left on device, which is also what btrfs filesystem show --all-devices gave me (0GB left).

Additional info:
Comment 1 Fedora End Of Life 2015-01-09 15:03:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:26:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.